MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
delegates::CMethodDelegateMYGUI_SUFFIX Class Reference

`#include <MyGUI_DelegateImplement.h>`

Inheritance diagram for delegates::CMethodDelegateMYGUI_SUFFIX:
[legend]

## Public Types
typedef void(T::* | Method) (MYGUI_PARAMS)

## Public Member Functions
| CMethodDelegateMYGUI_SUFFIX (IDelegateUnlink *_unlink, T *_object, Method _method)
virtual bool | isType (const std::type_info &_type)
virtual void | invoke (MYGUI_PARAMS)
virtual bool | compare (IDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS *_delegate) const
virtual bool | compare (IDelegateUnlink *_unlink) const

## Detailed Description

Definition at line 75 of file MyGUI_DelegateImplement.h.

## Member Typedef Documentation

typedef void(T::* delegates::CMethodDelegateMYGUI_SUFFIX::Method) (MYGUI_PARAMS)

Definition at line 78 of file MyGUI_DelegateImplement.h.

## Constructor & Destructor Documentation

delegates::CMethodDelegateMYGUI_SUFFIX::CMethodDelegateMYGUI_SUFFIX | ( | IDelegateUnlink * | _unlink,
|  | T * | _object,
|  | Method | _method
| ) |  |
| inline

Definition at line 80 of file MyGUI_DelegateImplement.h.

## Member Function Documentation

virtual bool delegates::CMethodDelegateMYGUI_SUFFIX::compare | ( | IDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS * | _delegate | ) | const
| inline virtual

Definition at line 92 of file MyGUI_DelegateImplement.h.

virtual bool delegates::CMethodDelegateMYGUI_SUFFIX::compare | ( | IDelegateUnlink * | _unlink | ) | const
| inline virtual

Definition at line 99 of file MyGUI_DelegateImplement.h.

virtual void delegates::CMethodDelegateMYGUI_SUFFIX::invoke | ( | MYGUI_PARAMS |  | ) |
| inline virtual

Definition at line 87 of file MyGUI_DelegateImplement.h.

virtual bool delegates::CMethodDelegateMYGUI_SUFFIX::isType | ( | const std::type_info & | _type | ) |
| inline virtual

Definition at line 82 of file MyGUI_DelegateImplement.h.

The documentation for this class was generated from the following file:

- MyGUI_DelegateImplement.h